import React from 'react';

import FullScreenButton from '../components/FullScreenButton';

import useActions from '../actions';
import useStore from '../store';

const FullScreenButtonContainer = () => {
  const [{ displayMode }, dispatch] = useStore();

  const { toggleDisplayMode } = useActions(dispatch);

  return (
    <FullScreenButton
      displayMode={displayMode}
      toggleDisplayMode={toggleDisplayMode}
    />
  );
};

export default FullScreenButtonContainer;
